# eric4.Plugins.PluginWizardQRegExp

Module implementing the QRegExp wizard plugin.

### Classes

QRegExpWizard | Class implementing the QRegExp wizard plugin.

### Functions

None

## QRegExpWizard

Class implementing the QRegExp wizard plugin.

### Derived from

QObject

### Methods

QRegExpWizard | Constructor
__callForm | Private method to display a dialog and get the code.
__handle | Private method to handle the wizards action
__initAction | Private method to initialize the action.
__initMenu | Private method to add the actions to the right menu.
activate | Public method to activate this plugin.
deactivate | Public method to deactivate this plugin.

#### QRegExpWizard (Constructor)

QRegExpWizard(ui)

Constructor

ui
  reference to the user interface object (UI.UserInterface)

#### QRegExpWizard.__callForm

__callForm(editor)

Private method to display a dialog and get the code.

editor
  reference to the current editor

Returns:
  the generated code (string)

#### QRegExpWizard.__handle

__handle()

Private method to handle the wizards action

#### QRegExpWizard.__initAction

__initAction()

Private method to initialize the action.

#### QRegExpWizard.__initMenu

__initMenu()

Private method to add the actions to the right menu.

#### QRegExpWizard.activate

activate()

Public method to activate this plugin.

Returns:
  tuple of None and activation status (boolean)

#### QRegExpWizard.deactivate

deactivate()

Public method to deactivate this plugin.

Up